Skip to main content
GET
/
v1
/
jobs
/
{job_id}
Get Job
curl --request GET \
  --url https://api.superdocs.app/v1/jobs/{job_id} \
  --header 'Authorization: Bearer <token>'
{
  "job_id": "<string>",
  "session_id": "<string>",
  "job_type": "<string>",
  "status": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "progress": 123,
  "organization_id": "<string>",
  "user_id": "<string>",
  "result": {
    "response": "<string>",
    "session_id": "<string>",
    "document_changes": {
      "updated_html": "<string>",
      "version_id": "<string>",
      "changes_summary": "<string>",
      "requires_approval": true,
      "pending_changes": [
        {
          "change_id": "<string>",
          "operation": "<string>",
          "chunk_id": "<string>",
          "old_html": "<string>",
          "new_html": "<string>",
          "ai_explanation": "<string>"
        }
      ],
      "changes": [
        {}
      ]
    },
    "usage": {
      "monthly_used": 123,
      "monthly_limit": 123,
      "monthly_remaining": 123,
      "was_billable": true,
      "subscription_tier": "<string>"
    },
    "attachment_id": "<string>"
  },
  "error": "<string>",
  "metadata": {
    "filename": "<string>",
    "file_size": 123,
    "content_type": "<string>",
    "message": "<string>",
    "document_html_provided": true,
    "pending_changes": [
      {
        "change_id": "<string>",
        "operation": "<string>",
        "chunk_id": "<string>",
        "old_html": "<string>",
        "new_html": "<string>",
        "ai_explanation": "<string>"
      }
    ],
    "intermediate_responses": [
      {}
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Path Parameters

job_id
string
required

Response

Successful Response

Status and details of an async job.

job_id
string
required

Unique job identifier. Use this to poll for status updates.

session_id
string
required

Session associated with this job.

job_type
string
required

Type of job: 'chat' or 'attachment_processing'.

status
string
required

Current status: 'pending', 'in_progress', 'awaiting_approval', 'completed', 'failed', or 'cancelled'.

created_at
string
required

ISO 8601 timestamp when the job was created.

updated_at
string
required

ISO 8601 timestamp of the last status change.

progress
integer
required

Progress percentage (0-100).

organization_id
string | null

Organization that owns this job (null for user jobs).

user_id
string | null

User that owns this job (null for organization jobs).

result
JobResult · object

Job output. Present when status is 'completed'. Contains AI response and document changes for chat jobs.

error
string | null

Error message. Present when status is 'failed'.

metadata
JobMetadata · object

Job metadata and context. Contains pending_changes when status is 'awaiting_approval'.